{% extends "scores/views/base.html" %}
{% import 'scores/views/macros.html' as macros %}

{% block version %}3D{% endblock %}

{% block main %}
<h1>{{ "Temperament in 3D"|_ }}</h1>
<div class=detailed>
  {{ macros.graph_3d(scores_3d['rnh'], 'rnh', ['rd', 'ns', 'ha'], True) }}
  <article>
    <h3>{{ ('3d.' + scores_3d['rnh'])|_ }} ({{ ('3d.' + scores_3d['rnh'] + '.abbr')|_ }})</h3>
    <p>
      {{ ('3d.' + scores_3d['rnh'] + '.description')|_ }}
    </p>
  </article>
</div>

<h1>{{ "Character in 3D"|_ }}</h1>
<div class=detailed>
  {{ macros.graph_3d(scores_3d['cts'], 'cts', ['co', 'st', 'sd']) }}
  <article>
    <h3>{{ ('3d.' + scores_3d['cts'])|_ }} ({{ ('3d.' + scores_3d['cts'] + '.abbr')|_ }})</h3>
    <p>
      {{ ('3d.' + scores_3d['cts'] + '.description')|_ }}
    </p>
  </article>
</div>

<hr>

<h1>{{ "Temperament in 3D"|_ }}</h1>

<p>
  {{ "3d.temperament_description"|_ }}
</p>

<div class=cube>
  {{ macros.graph_3d(scores_3d['rnh'], 'rnh', ['rd', 'ns', 'ha'], True) }}
</div>

<h1>{{ "Character in 3D"|_ }}</h1>
{{ "3d.character_description"|_ }}

<div class=cube>
  {{ macros.graph_3d(scores_3d['cts'], 'cts', ['co', 'st', 'sd']) }}
</div>
{% endblock %}
